# Uses of Enum Class
org.springframework.expression.Operation

Packages that use Operation
Package
Description
org.springframework.expression
Core abstractions behind the Spring Expression Language.
org.springframework.expression.spel
SpEL's central implementation package.
org.springframework.expression.spel.support
SpEL's default implementations for various core abstractions.

## Uses of Operation in org.springframework.expression

Methods in org.springframework.expression that return Operation
Modifier and Type
Method
Description
`static Operation`
Operation.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Operation[]`
Operation.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.springframework.expression with parameters of type Operation
Modifier and Type
Method
Description
`Object`
OperatorOverloader.`operate(Operation operation, Object leftOperand, Object rightOperand)`
Perform the specified operation on the two operands, returning a result.
`boolean`
OperatorOverloader.`overridesOperation(Operation operation, Object leftOperand, Object rightOperand)`
Return `true` if this operator overloader supports the specified operation on the two operands and should be invoked to handle it.

## Uses of Operation in org.springframework.expression.spel

Methods in org.springframework.expression.spel with parameters of type Operation
Modifier and Type
Method
Description
`TypedValue`
ExpressionState.`operate(Operation op, Object left, Object right)`

## Uses of Operation in org.springframework.expression.spel.support

Methods in org.springframework.expression.spel.support with parameters of type Operation
Modifier and Type
Method
Description
`Object`
StandardOperatorOverloader.`operate(Operation operation, Object leftOperand, Object rightOperand)`
`boolean`
StandardOperatorOverloader.`overridesOperation(Operation operation, Object leftOperand, Object rightOperand)`